# Workflows API: Cases

## GET /api/workflows/cases/{case}

> Retrieves one specific case

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/workflows/cases/{case}":{"get":{"tags":["Workflows API: Cases"],"summary":"Retrieves one specific case","operationId":"retrieveCase","parameters":[{"name":"issue","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"case","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/workflows/cases/{case}

> Checks for the existence of one specific case

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/workflows/cases/{case}":{"head":{"tags":["Workflows API: Cases"],"summary":"Checks for the existence of one specific case","operationId":"assertCase","parameters":[{"name":"issue","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"case","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/workflows/cases/collect

> Collects the list of cases that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectCases":{"type":"object","properties":{"CaseClosedSince":{"type":"string","format":"date-time","nullable":true},"CaseClosedBefore":{"type":"string","format":"date-time","nullable":true},"CaseOpenedSince":{"type":"string","format":"date-time","nullable":true},"CaseOpenedBefore":{"type":"string","format":"date-time","nullable":true},"CaseReportedSince":{"type":"string","format":"date-time","nullable":true},"CaseReportedBefore":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffectiveSince":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffectiveBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CaseModel":{"type":"object","properties":{"AdministratorUserId":{"type":"string","format":"uuid","nullable":true},"EmployerGroupId":{"type":"string","format":"uuid","nullable":true},"CaseClosedBy":{"type":"string","format":"uuid","nullable":true},"CaseId":{"type":"string","format":"uuid"},"CaseOpenedBy":{"type":"string","format":"uuid","nullable":true},"CaseStatusId":{"type":"string","format":"uuid","nullable":true},"LastChangeUser":{"type":"string","format":"uuid"},"LawyerUserId":{"type":"string","format":"uuid","nullable":true},"OwnerUserId":{"type":"string","format":"uuid","nullable":true},"ResponseSessionId":{"type":"string","format":"uuid","nullable":true},"TopicUserId":{"type":"string","format":"uuid","nullable":true},"CaseDescription":{"type":"string","nullable":true},"CaseSource":{"type":"string","nullable":true},"CaseStatusCategory":{"type":"string","nullable":true},"CaseTitle":{"type":"string","nullable":true},"CaseType":{"type":"string","nullable":true},"LastChangeType":{"type":"string","nullable":true},"AttachmentCount":{"type":"integer","format":"int32"},"CommentCount":{"type":"integer","format":"int32"},"GroupCount":{"type":"integer","format":"int32"},"CaseNumber":{"type":"integer","format":"int32"},"PersonCount":{"type":"integer","format":"int32"},"CaseClosed":{"type":"string","format":"date-time","nullable":true},"CaseOpened":{"type":"string","format":"date-time"},"CaseReported":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffective":{"type":"string","format":"date-time","nullable":true},"LastChangeTime":{"type":"string","format":"date-time"}},"additionalProperties":false}}},"paths":{"/api/workflows/cases/collect":{"post":{"tags":["Workflows API: Cases"],"summary":"Collects the list of cases that match specific criteria","operationId":"collectCases","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectCases"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectCases"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectCases"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectCases"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseModel"}}}}}}}}}}
```

## POST /api/workflows/cases/count

> Counts the cases that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountCases":{"type":"object","properties":{"CaseClosedSince":{"type":"string","format":"date-time","nullable":true},"CaseClosedBefore":{"type":"string","format":"date-time","nullable":true},"CaseOpenedSince":{"type":"string","format":"date-time","nullable":true},"CaseOpenedBefore":{"type":"string","format":"date-time","nullable":true},"CaseReportedSince":{"type":"string","format":"date-time","nullable":true},"CaseReportedBefore":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffectiveSince":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffectiveBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/workflows/cases/count":{"post":{"tags":["Workflows API: Cases"],"summary":"Counts the cases that match specific criteria","operationId":"countCases","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountCases"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountCases"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountCases"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountCases"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/workflows/cases/download

> Downloads the list of cases that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectCases":{"type":"object","properties":{"CaseClosedSince":{"type":"string","format":"date-time","nullable":true},"CaseClosedBefore":{"type":"string","format":"date-time","nullable":true},"CaseOpenedSince":{"type":"string","format":"date-time","nullable":true},"CaseOpenedBefore":{"type":"string","format":"date-time","nullable":true},"CaseReportedSince":{"type":"string","format":"date-time","nullable":true},"CaseReportedBefore":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffectiveSince":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffectiveBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/workflows/cases/download":{"post":{"tags":["Workflows API: Cases"],"summary":"Downloads the list of cases that match specific criteria","operationId":"downloadCases","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectCases"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectCases"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectCases"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectCases"}}}},"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/workflows/cases/search

> Searches for the list of cases that match specific criteria

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchCases":{"type":"object","properties":{"CaseClosedSince":{"type":"string","format":"date-time","nullable":true},"CaseClosedBefore":{"type":"string","format":"date-time","nullable":true},"CaseOpenedSince":{"type":"string","format":"date-time","nullable":true},"CaseOpenedBefore":{"type":"string","format":"date-time","nullable":true},"CaseReportedSince":{"type":"string","format":"date-time","nullable":true},"CaseReportedBefore":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffectiveSince":{"type":"string","format":"date-time","nullable":true},"CaseStatusEffectiveBefore":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeSince":{"type":"string","format":"date-time","nullable":true},"LastChangeTimeBefore":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"CaseMatch":{"type":"object","properties":{"CaseId":{"type":"string","format":"uuid"}},"additionalProperties":false}}},"paths":{"/api/workflows/cases/search":{"post":{"tags":["Workflows API: Cases"],"summary":"Searches for the list of cases that match specific criteria","operationId":"searchCases","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchCases"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchCases"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchCases"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchCases"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseMatch"}}}}}}}}}}
```

## GET /api/workflows/cases-statuses/{statusId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/workflows/cases-statuses/{statusId}":{"get":{"tags":["Workflows API: Cases"],"operationId":"retrieveCaseStatus","parameters":[{"name":"statusId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## PUT /api/workflows/cases-statuses/{statusId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ModifyCaseStatus":{"type":"object","properties":{"StatusName":{"type":"string","nullable":true},"StatusSequence":{"type":"integer","format":"int32"},"StatusCategory":{"type":"string","nullable":true},"ReportCategory":{"type":"string","nullable":true},"StatusDescription":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/workflows/cases-statuses/{statusId}":{"put":{"tags":["Workflows API: Cases"],"operationId":"modifyCaseStatus","parameters":[{"name":"statusId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ModifyCaseStatus"}},"application/json":{"schema":{"$ref":"#/components/schemas/ModifyCaseStatus"}},"text/json":{"schema":{"$ref":"#/components/schemas/ModifyCaseStatus"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ModifyCaseStatus"}}}},"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## DELETE /api/workflows/cases-statuses/{statusId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/workflows/cases-statuses/{statusId}":{"delete":{"tags":["Workflows API: Cases"],"operationId":"deleteCaseStatus","parameters":[{"name":"statusId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## HEAD /api/workflows/cases-statuses/{statusId}

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/workflows/cases-statuses/{statusId}":{"head":{"tags":["Workflows API: Cases"],"operationId":"assertCaseStatus","parameters":[{"name":"statusId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## GET /api/workflows/cases-statuses/count

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/workflows/cases-statuses/count":{"get":{"tags":["Workflows API: Cases"],"operationId":"countCaseStatuses","parameters":[{"name":"OrganizationId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"CaseTypeContains","in":"query","schema":{"type":"string"}},{"name":"CaseTypeExact","in":"query","schema":{"type":"string"}},{"name":"StatusNameContains","in":"query","schema":{"type":"string"}},{"name":"StatusNameExact","in":"query","schema":{"type":"string"}},{"name":"StatusCategoryContains","in":"query","schema":{"type":"string"}},{"name":"StatusCategoryExact","in":"query","schema":{"type":"string"}},{"name":"ReportCategoryContains","in":"query","schema":{"type":"string"}},{"name":"ReportCategoryExact","in":"query","schema":{"type":"string"}},{"name":"StatusSequenceSince","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"StatusSequenceBefore","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## POST /api/workflows/cases-statuses/count

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CountCaseStatuses":{"type":"object","properties":{"CaseTypeContains":{"type":"string","nullable":true},"CaseTypeExact":{"type":"string","nullable":true},"StatusNameContains":{"type":"string","nullable":true},"StatusNameExact":{"type":"string","nullable":true},"StatusCategoryContains":{"type":"string","nullable":true},"StatusCategoryExact":{"type":"string","nullable":true},"ReportCategoryContains":{"type":"string","nullable":true},"ReportCategoryExact":{"type":"string","nullable":true},"StatusSequenceSince":{"type":"integer","format":"int32","nullable":true},"StatusSequenceBefore":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"CountResult":{"type":"object","properties":{"Count":{"type":"integer","format":"int32"},"Summary":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/workflows/cases-statuses/count":{"post":{"tags":["Workflows API: Cases"],"operationId":"countCaseStatuses_post","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CountCaseStatuses"}},"application/json":{"schema":{"$ref":"#/components/schemas/CountCaseStatuses"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountCaseStatuses"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CountCaseStatuses"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountResult"}},"text/json":{"schema":{"$ref":"#/components/schemas/CountResult"}}}}}}}}}
```

## GET /api/workflows/cases-statuses

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CaseStatusModel":{"type":"object","properties":{"CaseType":{"type":"string","nullable":true},"StatusId":{"type":"string","format":"uuid"},"StatusName":{"type":"string","nullable":true},"StatusSequence":{"type":"integer","format":"int32"},"StatusCategory":{"type":"string","nullable":true},"ReportCategory":{"type":"string","nullable":true},"StatusDescription":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/workflows/cases-statuses":{"get":{"tags":["Workflows API: Cases"],"operationId":"collectCaseStatuses","parameters":[{"name":"OrganizationId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"CaseTypeContains","in":"query","schema":{"type":"string"}},{"name":"CaseTypeExact","in":"query","schema":{"type":"string"}},{"name":"StatusNameContains","in":"query","schema":{"type":"string"}},{"name":"StatusNameExact","in":"query","schema":{"type":"string"}},{"name":"StatusCategoryContains","in":"query","schema":{"type":"string"}},{"name":"StatusCategoryExact","in":"query","schema":{"type":"string"}},{"name":"ReportCategoryContains","in":"query","schema":{"type":"string"}},{"name":"ReportCategoryExact","in":"query","schema":{"type":"string"}},{"name":"StatusSequenceSince","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"StatusSequenceBefore","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseStatusModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseStatusModel"}}}}}}}}}}
```

## POST /api/workflows/cases-statuses

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CreateCaseStatus":{"type":"object","properties":{"CaseType":{"type":"string","nullable":true},"StatusName":{"type":"string","nullable":true},"StatusSequence":{"type":"integer","format":"int32"},"StatusCategory":{"type":"string","nullable":true},"ReportCategory":{"type":"string","nullable":true},"StatusDescription":{"type":"string","nullable":true}},"additionalProperties":false},"CaseStatusModel":{"type":"object","properties":{"CaseType":{"type":"string","nullable":true},"StatusId":{"type":"string","format":"uuid"},"StatusName":{"type":"string","nullable":true},"StatusSequence":{"type":"integer","format":"int32"},"StatusCategory":{"type":"string","nullable":true},"ReportCategory":{"type":"string","nullable":true},"StatusDescription":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"Type":{"type":"string","nullable":true},"Title":{"type":"string","nullable":true},"Status":{"type":"integer","format":"int32","nullable":true},"Detail":{"type":"string","nullable":true},"Instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/workflows/cases-statuses":{"post":{"tags":["Workflows API: Cases"],"operationId":"createCaseStatus","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CreateCaseStatus"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateCaseStatus"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateCaseStatus"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateCaseStatus"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaseStatusModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/CaseStatusModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}}}
```

## POST /api/workflows/cases-statuses/collect

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectCaseStatuses":{"type":"object","properties":{"CaseTypeContains":{"type":"string","nullable":true},"CaseTypeExact":{"type":"string","nullable":true},"StatusNameContains":{"type":"string","nullable":true},"StatusNameExact":{"type":"string","nullable":true},"StatusCategoryContains":{"type":"string","nullable":true},"StatusCategoryExact":{"type":"string","nullable":true},"ReportCategoryContains":{"type":"string","nullable":true},"ReportCategoryExact":{"type":"string","nullable":true},"StatusSequenceSince":{"type":"integer","format":"int32","nullable":true},"StatusSequenceBefore":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"CaseStatusModel":{"type":"object","properties":{"CaseType":{"type":"string","nullable":true},"StatusId":{"type":"string","format":"uuid"},"StatusName":{"type":"string","nullable":true},"StatusSequence":{"type":"integer","format":"int32"},"StatusCategory":{"type":"string","nullable":true},"ReportCategory":{"type":"string","nullable":true},"StatusDescription":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/workflows/cases-statuses/collect":{"post":{"tags":["Workflows API: Cases"],"operationId":"collectCaseStatuses_post","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectCaseStatuses"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectCaseStatuses"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectCaseStatuses"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectCaseStatuses"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseStatusModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseStatusModel"}}}}}}}}}}
```

## GET /api/workflows/cases-statuses/search

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CaseStatusMatch":{"type":"object","properties":{"StatusId":{"type":"string","format":"uuid"},"StatusName":{"type":"string","nullable":true},"CaseType":{"type":"string","nullable":true},"StatusCategory":{"type":"string","nullable":true},"StatusSequence":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/workflows/cases-statuses/search":{"get":{"tags":["Workflows API: Cases"],"operationId":"searchCaseStatuses","parameters":[{"name":"OrganizationId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"CaseTypeContains","in":"query","schema":{"type":"string"}},{"name":"CaseTypeExact","in":"query","schema":{"type":"string"}},{"name":"StatusNameContains","in":"query","schema":{"type":"string"}},{"name":"StatusNameExact","in":"query","schema":{"type":"string"}},{"name":"StatusCategoryContains","in":"query","schema":{"type":"string"}},{"name":"StatusCategoryExact","in":"query","schema":{"type":"string"}},{"name":"ReportCategoryContains","in":"query","schema":{"type":"string"}},{"name":"ReportCategoryExact","in":"query","schema":{"type":"string"}},{"name":"StatusSequenceSince","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"StatusSequenceBefore","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseStatusMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseStatusMatch"}}}}}}}}}}
```

## POST /api/workflows/cases-statuses/search

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"SearchCaseStatuses":{"type":"object","properties":{"CaseTypeContains":{"type":"string","nullable":true},"CaseTypeExact":{"type":"string","nullable":true},"StatusNameContains":{"type":"string","nullable":true},"StatusNameExact":{"type":"string","nullable":true},"StatusCategoryContains":{"type":"string","nullable":true},"StatusCategoryExact":{"type":"string","nullable":true},"ReportCategoryContains":{"type":"string","nullable":true},"ReportCategoryExact":{"type":"string","nullable":true},"StatusSequenceSince":{"type":"integer","format":"int32","nullable":true},"StatusSequenceBefore":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false},"CaseStatusMatch":{"type":"object","properties":{"StatusId":{"type":"string","format":"uuid"},"StatusName":{"type":"string","nullable":true},"CaseType":{"type":"string","nullable":true},"StatusCategory":{"type":"string","nullable":true},"StatusSequence":{"type":"integer","format":"int32"}},"additionalProperties":false}}},"paths":{"/api/workflows/cases-statuses/search":{"post":{"tags":["Workflows API: Cases"],"operationId":"searchCaseStatuses_post","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/SearchCaseStatuses"}},"application/json":{"schema":{"$ref":"#/components/schemas/SearchCaseStatuses"}},"text/json":{"schema":{"$ref":"#/components/schemas/SearchCaseStatuses"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/SearchCaseStatuses"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseStatusMatch"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CaseStatusMatch"}}}}}}}}}}
```

## GET /api/workflows/cases-statuses/download

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}}},"paths":{"/api/workflows/cases-statuses/download":{"get":{"tags":["Workflows API: Cases"],"operationId":"downloadCaseStatuses","parameters":[{"name":"OrganizationId","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"CaseTypeContains","in":"query","schema":{"type":"string"}},{"name":"CaseTypeExact","in":"query","schema":{"type":"string"}},{"name":"StatusNameContains","in":"query","schema":{"type":"string"}},{"name":"StatusNameExact","in":"query","schema":{"type":"string"}},{"name":"StatusCategoryContains","in":"query","schema":{"type":"string"}},{"name":"StatusCategoryExact","in":"query","schema":{"type":"string"}},{"name":"ReportCategoryContains","in":"query","schema":{"type":"string"}},{"name":"ReportCategoryExact","in":"query","schema":{"type":"string"}},{"name":"StatusSequenceSince","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"StatusSequenceBefore","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Identifier","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.When","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"Origin.Organization","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.User","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Proxy","in":"query","schema":{"type":"string","format":"uuid"}},{"name":"Origin.Description","in":"query","schema":{"type":"string"}},{"name":"Origin.Reason","in":"query","schema":{"type":"string"}},{"name":"Origin.Source","in":"query","schema":{"type":"string"}},{"name":"Filter.Page","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.PageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Filter.Sort","in":"query","schema":{"type":"string"}},{"name":"Filter.Excludes","in":"query","schema":{"type":"string"}},{"name":"Filter.Includes","in":"query","schema":{"type":"string"}},{"name":"Filter.Format","in":"query","schema":{"type":"string"}},{"name":"Texts","in":"query","schema":{"type":"object","additionalProperties":{"type":"string","nullable":true}}}],"responses":{"200":{"description":"OK"}}}}}}
```

## POST /api/workflows/cases-statuses/download

>

```json
{"openapi":"3.0.1","info":{"title":"Developer API","version":"v2.0.0"},"servers":[{"url":"/v2/e01"}],"security":[{"Bearer":[]},{"Cookie":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"-","name":"Bearer","in":"header"},"Cookie":{"type":"apiKey","description":"-","name":"InSite.WebToken","in":"cookie"}},"schemas":{"CollectCaseStatuses":{"type":"object","properties":{"CaseTypeContains":{"type":"string","nullable":true},"CaseTypeExact":{"type":"string","nullable":true},"StatusNameContains":{"type":"string","nullable":true},"StatusNameExact":{"type":"string","nullable":true},"StatusCategoryContains":{"type":"string","nullable":true},"StatusCategoryExact":{"type":"string","nullable":true},"ReportCategoryContains":{"type":"string","nullable":true},"ReportCategoryExact":{"type":"string","nullable":true},"StatusSequenceSince":{"type":"integer","format":"int32","nullable":true},"StatusSequenceBefore":{"type":"integer","format":"int32","nullable":true}},"additionalProperties":false}}},"paths":{"/api/workflows/cases-statuses/download":{"post":{"tags":["Workflows API: Cases"],"operationId":"downloadCaseStatuses_post","requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CollectCaseStatuses"}},"application/json":{"schema":{"$ref":"#/components/schemas/CollectCaseStatuses"}},"text/json":{"schema":{"$ref":"#/components/schemas/CollectCaseStatuses"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CollectCaseStatuses"}}}},"responses":{"200":{"description":"OK"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shiftiq.com/developers/api-v2/navigating-the-api/workflows-api-cases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
